*******************************************************************************
*   File........: chkpath.prg
*   Date........: November 1, 1993
*   Author......: Ly Minh Tr (CIS 73062,512)
*   Copyright...: None...public domain!
*   Version.....: 1.00
*******************************************************************************
*   PURPOSE:    Returns .T. for valid path, .F. otherwise.  Calls ValidPath()
*               in the FOXTOOLS.FLL library.
*
*   SYNTAX:     chkpath(<cpath>)
*
*   PARAMETERS: <cpath> = the path to verify.
*
*   RETURNS:    Logical.
*
*******************************************************************************
PARAMETER cpath
PRIVATE lretval, cfoxtool

lretval = .F.
IF NOT EMPTY(cpath)
    IF NOT ("FOXTOOLS.FLL" $ SET("LIBRARY"))
        *
        * locate foxtools.fll
        *
        cfoxtool = SYS(2004) + "FOXTOOLS.FLL"               
        IF NOT FILE(cfoxtool)
            cfoxtool = GETFILE("FLL", "Where is FOXTOOLS.FLL")
        ENDIF
        cfoxtool = IIF(TYPE("cfoxtool") == "U", "", cfoxtool)
    ELSE
        cfoxtool = [PRE-LOADED]
    ENDIF

    IF NOT EMPTY(cfoxtool)
        IF cfoxtool <> [PRE-LOADED]
            SET LIBRARY TO (cfoxtool) ADDITIVE
        ENDIF

        lretval = validpath(cpath)

        IF cfoxtool <> [PRE-LOADED]
            RELEASE LIBRARY (cfoxtool)
        ENDIF
    ENDIF
ENDIF

RETURN lretval
