*******************************************************************************
*   File........: getfname.prg
*   Date........: November 1, 1993
*   Author......: Ly Minh Tr (CIS 73062,512)
*   Copyright...: None...public domain!
*   Version.....: 1.00
*******************************************************************************
*   PURPOSE:    Returns the file name from a complete path.  Calls JustFName()
*               in the FOXTOOLS.FLL library.
*
*   SYNTAX:     getfname(<cfilename>)
*
*   PARAMETERS: <cfilename> = the full path and file name.
*
*   RETURNS:    Character string.
*
*******************************************************************************
PARAMETER cfilename
PRIVATE cretval, cfoxtool

cretval = ""
IF NOT EMPTY(cfilename)
    IF NOT ("FOXTOOLS.FLL" $ SET("LIBRARY"))
        *
        * locate foxtools.fll
        *
        cfoxtool = SYS(2004) + "FOXTOOLS.FLL"               
        IF NOT FILE(cfoxtool)
            cfoxtool = GETFILE("FLL", "Where is FOXTOOLS.FLL")
        ENDIF
        cfoxtool = IIF(TYPE("cfoxtool") == "U", "", cfoxtool)
    ELSE
        cfoxtool = [PRE-LOADED]
    ENDIF

    IF NOT EMPTY(cfoxtool)
        IF cfoxtool <> [PRE-LOADED]
            SET LIBRARY TO (cfoxtool) ADDITIVE
        ENDIF

        cretval = justfname(cfilename)

        IF cfoxtool <> [PRE-LOADED]
            RELEASE LIBRARY (cfoxtool)
        ENDIF
    ENDIF
ENDIF

RETURN cretval
