*******************************************************************************
*   File........: mk_dir.prg
*   Date........: November 1, 1993
*   Author......: Ly Minh Tr (CIS 73062,512)
*   Copyright...: None...public domain!
*   Version.....: 1.00
*******************************************************************************
*   PURPOSE:    Creates a DOS directory specified by <cdir> via FOXTOOLS.FLL
*
*   SYNTAX:     mk_dir(<cdir>)
*
*   PARAMETERS: <cdir> = the directory to create.
*
*   RETURNS:    Numeric.
*
*******************************************************************************
PARAMETER cdir
PRIVATE nretval, cfoxtool

nretval = 1
IF !EMPTY(cdir)
    IF NOT ("FOXTOOLS.FLL" $ SET("LIBRARY"))
        *
        * locate foxtools.fll
        *
        cfoxtool = SYS(2004) + "FOXTOOLS.FLL"               
        IF !FILE(cfoxtool)
            cfoxtool = GETFILE("FLL", "Where is FOXTOOLS.FLL")
        ENDIF
        cfoxtool = IIF(TYPE("cfoxtool") == "U", "", cfoxtool)
    ELSE
        cfoxtool = [PRE-LOADED]
    ENDIF

    IF !EMPTY(cfoxtool)
        IF cfoxtool <> [PRE-LOADED]
            SET LIBRARY TO (cfoxtool) ADDITIVE
        ENDIF

        nretval = mkdir(cdir)

        IF cfoxtool <> [PRE-LOADED]
            RELEASE LIBRARY (cfoxtool)
        ENDIF
    ENDIF
ENDIF

RETURN nretval
